Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QTextStream

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QTextStream class reference

### Public Functions

- int fill ( int f )
- int flags ( int f )
- int precision ( int p )
- int width ( int w )

## Member Function Documentation

### int QTextStream::fill ( int f )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use setFill() and fill() instead.

### int QTextStream::flags ( int f )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use setFlags and flags() instead.

### int QTextStream::precision ( int p )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use setPrecision() and precision() instead.

### int QTextStream::width ( int w )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use setWidth() and width() instead.